Bug 90625 - RH9 install makes USB controller work on as 2.0 (on VIA KT400 chipset)
RH9 install makes USB controller work on as 2.0 (on VIA KT400 chipset)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-11 06:30 EDT by darkeye
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description darkeye 2003-05-11 06:30:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
After installing RedHat 9 on my system, my USB interface doesn't work when the
USB 2.0 controller is disabled (and only the standard interface is enabled).

The symptoms:

I had a system with RedHat 8.0 (and Windows XP) installed. I have a Gigabyte
GA-7VAXP motherboard (with a VIA KT400 chipset), which has USB 2.0 support. I
had the USB 2.0 support turned on in the BIOS, but never used any such devices
(only old USB devices).

I installed RedHat 9 (clean install, not an upgrade), and now the only way any
USB devices work if I have the USB 2.0 option enabled in the BIOS and use the
RedHat kernel from RPM. No USB devices are recognized if I either

- turn off USB 2.0 support in the BIOS
- compile kernel 2.4.20 with the configuration I used for my
  RedHat 8.0 install (and which worked fine before)
- boot Windows XP (apperantly it doesn't have USB 2.0 support)

previously, under all these circumstanses all USB devices worked fine.

did the RedHat 9 install do something that made the USB interface work only in
2.0 mode, period?

Version-Release number of selected component (if applicable):
kernel-2.4.20-9

How reproducible:
Always

Steps to Reproduce:
1. install RedHat 9.0 on a GA-7VAXP motherboard
2. try to use USB devices with USB 2.0 support turned off in the BIOS
3.
    

Actual Results:  no USB devices are recognized under the following cicrumstances:

- turn off USB 2.0 support in the BIOS
- compile kernel 2.4.20 with the configuration I used for my
  RedHat 8.0 install (and which worked fine before)
- boot Windows XP (apperantly it doesn't have USB 2.0 support)

Expected Results:  USB devices should be recognized

Additional info:

this is extremely annoying. I can't use my Other Operating System and I can't
use my own kernel, because USB devices (like my mouse) won't work.

Also, it is very disturbing if the install really changed my motherboard in a
permanent way (so as to only work in USB 2.0 mode)
Comment 1 Pete Zaitcev 2003-06-03 17:00:39 EDT
Please check if /etc/modules.conf has ehci-hcd alias, and comment it.
It's not a kernel option. Anaconda sees a USB 2 interface and since
it has no way to know if it's useable (or even connected to back panel),
it enables it optimistically. Before RHL9 there was no USB 2 HC (EHCI).
Comment 2 Bugzilla owner 2004-09-30 11:40:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.